summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorIan Jackson <ijackson@chiark.greenend.org.uk>2013-11-24 15:38:58 +0000
committerIan Jackson <ijackson@chiark.greenend.org.uk>2013-11-24 17:45:29 +0000
commita110a1029e0eefe70bb1c057620c4102c6a52165 (patch)
tree08b2a8d097b10625b7f8bfa64faf7b7ad1e03b2d
parentd198bbd72d591b6deba779a8d24cf9bc9ae80894 (diff)
autopkgtests: tests/run-all: convenience script for running the tests outside adt-run
-rwxr-xr-xtests/run-all10
1 files changed, 10 insertions, 0 deletions
diff --git a/tests/run-all b/tests/run-all
new file mode 100755
index 0000000..551e51f
--- /dev/null
+++ b/tests/run-all
@@ -0,0 +1,10 @@
+#!/bin/sh
+set -e
+# convenience script for running the tests outside adt-run
+for f in `run-parts --list tests/tests`; do
+ echo ==================================================
+ echo $f
+ $f
+ echo ==================================================
+done
+echo "ALL PASSED"